baseURL = 'https://lego.js.org/'
languageCode = 'en-us'
title = '🚀 Lego Web-Components'
theme = 'docs'

enableRobotsTXT = true
enableGitInfo = true

enableInlineShortcodes = true

# Shortcodes HTML
[markup]
  [markup.highlight]
    noClasses = false

  [markup.goldmark.renderer]
    unsafe = true

  [markup.tableOfContents]
    startLevel = 2
    endLevel = 3

[params]
  description = "Lego is a minimalist native Web-Components library for low-tech lovers with serious needs of long-term future-proof applications. This documentation describes how to install, use and hack the tool."
  # github_repo_edit = "https://github.com/Polight/lego/tree/master/docs/content" # FIXME: To enable once merged
  date_format = "January 2, 2006"
  main_logo = "/lego.svg"
  versions = [ "v1", "v2" ]

# Caches for deployment
[caches]
  [caches.images]
    dir = ':cacheDir/images'
